<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__csdadc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_csdadc_config_t</compoundname>
    <includes local="no">cy_csdadc.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__csdadc__config__t_1af0839917f36aa586434fd2c07a042043" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__csdadc__ch__pin__t">cy_stc_csdadc_ch_pin_t</ref> *</type>
        <definition>const cy_stc_csdadc_ch_pin_t* cy_stc_csdadc_config_t::ptrPinList</definition>
        <argsstring />
        <name>ptrPinList</name>
        <briefdescription>
<para>Array of pointers to the channel IO structures. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="891" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="891" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1a1f7d7b2ae9bf58c2ed4754ee1ef130cc" kind="variable" mutable="no" prot="public" static="no">
        <type>CSD_Type *</type>
        <definition>CSD_Type* cy_stc_csdadc_config_t::base</definition>
        <argsstring />
        <name>base</name>
        <briefdescription>
<para>Pointer to the CSD HW Block. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="893" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="893" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1ac22807f5b6caf29aaef89bbed27ade3e" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_csd_context_t *</type>
        <definition>cy_stc_csd_context_t* cy_stc_csdadc_config_t::csdCxtPtr</definition>
        <argsstring />
        <name>csdCxtPtr</name>
        <briefdescription>
<para>Pointer to the CSD context driver. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="894" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="894" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1a9fca865bbb6a6eac1d74f4eca5730011" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csdadc_config_t::cpuClk</definition>
        <argsstring />
        <name>cpuClk</name>
        <briefdescription>
<para>CPU Clock in Hz. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="895" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="895" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1a741a2776e5dd698eaa9816cce8192f87" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csdadc_config_t::periClk</definition>
        <argsstring />
        <name>periClk</name>
        <briefdescription>
<para>Peri Clock in Hz. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="896" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="896" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1a6ad9e565c92f9e2cfda8018ce151bd19" kind="variable" mutable="no" prot="public" static="no">
        <type>int16_t</type>
        <definition>int16_t cy_stc_csdadc_config_t::vref</definition>
        <argsstring />
        <name>vref</name>
        <briefdescription>
<para>Voltage Reference in mV. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="897" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="897" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1a70dcda504cca76fccc718cfe567cb643" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_csdadc_config_t::vdda</definition>
        <argsstring />
        <name>vdda</name>
        <briefdescription>
<para>Analog Power Voltage in mV. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="898" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="898" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1a5f3794db656b8dcabeec9314cc8c1056" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_csdadc_config_t::calibrInterval</definition>
        <argsstring />
        <name>calibrInterval</name>
        <briefdescription>
<para>Interval for auto-calibration. </para>        </briefdescription>
        <detaileddescription>
<para>In this version not supported </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="899" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="899" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1a65ce5b914a728dd7f11623342392a18c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__csdadc__enums_1ga9a51f670bcf385f7f2cbaa3f1491cc7f">cy_en_csdadc_range_t</ref></type>
        <definition>cy_en_csdadc_range_t cy_stc_csdadc_config_t::range</definition>
        <argsstring />
        <name>range</name>
        <briefdescription>
<para>Mode of ADC operation. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="900" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="900" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1a5419abcb7049711f0a174ec7dcfee78b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__csdadc__enums_1ga53be63f99ad2c3e775496df7c8957bc7">cy_en_csdadc_resolution_t</ref></type>
        <definition>cy_en_csdadc_resolution_t cy_stc_csdadc_config_t::resolution</definition>
        <argsstring />
        <name>resolution</name>
        <briefdescription>
<para>Resolution. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="901" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="901" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1a8eb894da889de622b62002b79658a52f" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_en_divider_types_t</type>
        <definition>cy_en_divider_types_t cy_stc_csdadc_config_t::periDivTyp</definition>
        <argsstring />
        <name>periDivTyp</name>
        <briefdescription>
<para>Peri Clock divider type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="902" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="902" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1a23dde4c610164db57e735247cae2a614" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_csdadc_config_t::numChannels</definition>
        <argsstring />
        <name>numChannels</name>
        <briefdescription>
<para>Number of ADC channels. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="903" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="903" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1a0eb0a009aefebab573606ac86659d18c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_csdadc_config_t::idac</definition>
        <argsstring />
        <name>idac</name>
        <briefdescription>
<para>IDAC code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="904" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="904" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1ad52ccca632d93990d9d823558f620984" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_csdadc_config_t::operClkDivider</definition>
        <argsstring />
        <name>operClkDivider</name>
        <briefdescription>
<para>Divider of Peri Clock frequency for the CSDADC operation clock. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="905" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="905" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1ab2acac32d7240e0c4ca0e1656d64802d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_csdadc_config_t::azTime</definition>
        <argsstring />
        <name>azTime</name>
        <briefdescription>
<para>CSDADC auto-zero time in us. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="906" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="906" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1ad90f7ff0f0609800d03664c9d318e119" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_csdadc_config_t::acqTime</definition>
        <argsstring />
        <name>acqTime</name>
        <briefdescription>
<para>CSDADC acquisition time in us. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="907" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="907" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1a4d4ba449bf0340bb424d18b4c345f24b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_csdadc_config_t::csdInitTime</definition>
        <argsstring />
        <name>csdInitTime</name>
        <briefdescription>
<para>CSD HW Block Initialization time in us. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="908" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="908" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1aae6659775d8a017da3672160ba7de9bf" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_csdadc_config_t::idacCalibrationEn</definition>
        <argsstring />
        <name>idacCalibrationEn</name>
        <briefdescription>
<para>Enables run-time IDAC calibration. </para>        </briefdescription>
        <detaileddescription>
<para>In this version not supported </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="909" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="909" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__config__t_1aaa975ceb0fc31d67a1c4190a06ecd374" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_csdadc_config_t::periDivInd</definition>
        <argsstring />
        <name>periDivInd</name>
        <briefdescription>
<para>Peri Clock divider index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="910" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="910" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>CSDADC configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="3">
        <label>cy_stc_csdadc_config_t</label>
        <link refid="structcy__stc__csdadc__config__t" />
        <childnode refid="4" relation="usage">
          <edgelabel>ptrPinList</edgelabel>
        </childnode>
      </node>
      <node id="4">
        <label>cy_stc_csdadc_ch_pin_t</label>
        <link refid="structcy__stc__csdadc__ch__pin__t" />
      </node>
    </collaborationgraph>
    <location bodyend="911" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="889" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="890" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1ad90f7ff0f0609800d03664c9d318e119" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>acqTime</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1ab2acac32d7240e0c4ca0e1656d64802d" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>azTime</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1a1f7d7b2ae9bf58c2ed4754ee1ef130cc" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>base</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1a5f3794db656b8dcabeec9314cc8c1056" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>calibrInterval</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1a9fca865bbb6a6eac1d74f4eca5730011" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>cpuClk</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1ac22807f5b6caf29aaef89bbed27ade3e" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>csdCxtPtr</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1a4d4ba449bf0340bb424d18b4c345f24b" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>csdInitTime</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1a0eb0a009aefebab573606ac86659d18c" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>idac</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1aae6659775d8a017da3672160ba7de9bf" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>idacCalibrationEn</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1a23dde4c610164db57e735247cae2a614" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>numChannels</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1ad52ccca632d93990d9d823558f620984" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>operClkDivider</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1a741a2776e5dd698eaa9816cce8192f87" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>periClk</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1aaa975ceb0fc31d67a1c4190a06ecd374" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>periDivInd</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1a8eb894da889de622b62002b79658a52f" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>periDivTyp</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1af0839917f36aa586434fd2c07a042043" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>ptrPinList</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1a65ce5b914a728dd7f11623342392a18c" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>range</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1a5419abcb7049711f0a174ec7dcfee78b" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>resolution</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1a70dcda504cca76fccc718cfe567cb643" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>vdda</name></member>
      <member prot="public" refid="structcy__stc__csdadc__config__t_1a6ad9e565c92f9e2cfda8018ce151bd19" virt="non-virtual"><scope>cy_stc_csdadc_config_t</scope><name>vref</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>